{% set PageTitle = "Referred by a Friend" %}

{% extends "master.html" %}

{% block main %}
<div id='intro'></div>
<div id='products'></div>
<div id='reviews'></div>
<div id='terms'></div>
{% endblock %}

{% block styles %}

{% endblock %}
{% block scripts %}

  <script>
window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.ImportantInformation, {
      id:'sdfsdfsdf89789789',
      headline : "If you buy LV insurance, both you and your friend get a £15 Amazon gift voucher.",
      image : {
        html: '<img src="dist/images/cms/Life-Landscape-360x140.svg" />',
        src:'dist/images/cms/Life-Landscape-360x140.svg',
        size:null,
        extension:'svg'
      },
      bodyLeft : `<p>We'll send it out to you by email within 30 days - we're nice like that.</p>`,
      isLeadParagraph : true,
      width: 'mini',
      theme:{
        bottomCurve: {
          type: 'convex',
        },
        themeAfter: 'warm-grey',
        textColour:'green'
      }
    }), document.getElementById("intro"));

    ReactDOM.render(React.createElement(Components.ProductList, {
      id   : 'c3',
      theme:{
          themeName:'warm-grey',
        },
      heading: "What would you like to get an insurance quote for?",
      columns: 3,
      items: [
        {
          title : '<a href="product-cat.html">Pet insurance</a>',
          content : "Pets are a part of the family - they deserve the best, right? Our cover <b>from just £209</b>",
          image : `<img src="dist/images/placeholder/landing-pet.jpg" />`,
          offer : {
            value : '25%',
            label : 'Discount when you buy online'
          },
          award : `<img src="dist/images/defacto.png" />`,
          quote : '<a href="#">Get a pet quote</a>',
          more : '<a href="#">More details on Pet Insurance</a>',
        },
        {
          title : '<a href="#product-breakdown.html">Breakdown insurance</a>',
          content : "If you’re looking for award winning car insurance, ours starts <b>from just £209</b>",
          image : `<img src="dist/images/placeholder/landing-breakdown.jpg" />`,
          quote : '<a href="#">Get a breakdown quote</a>',
          more : '<a href="#">More details on Breakdown Insurance</a>',
        },
        {
          title : '<a href="#product-motorcycle.html">Motorcycle insurance</a>',
          content : "If you’re looking for award winning car insurance, ours starts from as little as £67 - 10% of customers paid this for cover",
          image : `<img src="dist/images/placeholder/landing-motorcycle.jpg" />`,
          more : '<a href="#">More details on Motorcycle Insurance</a>',
        },
        {
          title : '<a href="#product-caravan.html">Caravan insurance</a>',
          content : "If you’re looking for award winning car insurance, ours starts <b>from just £209</b>",
          image : `<img src="dist/images/placeholder/landing-caravan.jpg" />`,
          more : '<a href="#">More details on Caravan Insurance</a>',
        },
        {
          title : '<a href="#product-landlord.html">Landlord insurance</a>',
          content : "Just in case something happens to your buy-to-let property.",
          image : `<img src="dist/images/placeholder/landing-landlord.jpg" />`,
          more : '<a href="#">More details on Landlord Insurance</a>',
        }
      ],
      isLast:true,
      isFirst:true,
    }), document.getElementById("products"));

    ReactDOM.render(React.createElement(Components.HeaderCta, {
      id: 'module-reviews',
      heading: "We don't want to brag, but <b>99%</b> of our customers would buy from us again",
      label: 'Good value, great values',
      cta: {type:'primary', link:'<a href="#">Read more customer reviews</a>'},
      icon: "<img src='dist/images/cms/Heart-group-80x80.svg'/>",
      theme:{
        topCurve: {
          type: 'convex',
        },
        themeBefore: 'warm-grey',
      }
    }), document.getElementById("reviews"));


    ReactDOM.render(React.createElement(Components.BodyCopy, {
        id :'item1',
        width:'mini',
        hasBackground: true,
        isProduct: true,
        theme: {
          themeName: 'cool-grey'
        },
        copy:`
            <h3>Terms and Conditions</h3>
            <p>There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>
        `
      }), document.getElementById("terms"));
    })
  </script>

{% endblock %}

{% block header %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
      theme: {
        themeAfter: 'white',
        themeName: 'warm-grey',
        textColour:'green'
      },
      desktopImage:{
        html:'<img src="dist/images/placeholder/bg__d_Investment.jpg" alt="" />',
        src:'dist/images/placeholder/bg__d_Investment.jpg',
        altText:'alt text goes here'
      },
      mobImage:{
        html:'<img src="dist/images/placeholder/bg__m_Travel.jpg" alt="" />',
        src:'dist/images/placeholder/bg__m_Travel.jpg',
        altText:'alt text goes here'
      },
      label:"Referred by a Friend",
      headline:"Looking for award winning insurance?",
    }), document.getElementById("HeaderBanner"));
  })
  </script>
{% endblock %}

{% block NavBreadcrumb %}
  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.Breadcrumb, {
          items: [
              { label: "Home page",   url: "index.html" },
              { label: "Refer a friend",   url: "#" },
          ]
      }), document.getElementById("breadcrumb"));
    })
  </script>
{% endblock %}
